/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * bino
 * Copyright (C) Henrik Reinstädtler 2011 <henrik.linux@hotmail.com>
 * 
 * bino is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * bino is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "gettext.h"
#define _(string) gettext(string)
#include "playlist.h"
#include "media_input.h"
#include <vector>
#include <iostream>
using namespace std;
playlist::addItem(std::string FilePath)
{
	media_input medium= new media_input();
	medium->open(FilePath);
		 if (medium->video_streams() == 0)
    {
        throw exc(_("No video streams found."));
    }
	Items.pushback(medium);
}
playlist::addItem(media_input Item)
{
	
	if (medium->video_streams() == 0)
    {
        throw exc(_("No video streams found."));
    }
	Items.pushback(Item);
}
playlist::open(std::string FilePath)
{
	FILE *in_stream;
	media_input data;
	if((in_stream = fopen(FilePath,r))==NULL)
	{
		char *buffer;
	while(fgets(buffer,100,in_stream))
	{
		data =new media_input();
		data->open(FilePath);
	Items.pushback(data);
	}
	}
	else exc(_("No Playlist found."));
	delete data;
}
playlist::save(std::string FilePath)
{
	FILE *out_stream;
	if((out_stream = fopen(FilePath,w))==NULL)
	{
	for(i=0;i<Items.size();i++)
	{
		fprintf(out_stream,"%s\n",Items.at(i).url(0)));
	}
	}
}
playlist::getCurrentindex()
{
	return index;
}
playlist::next()
{
	index++;
}
playlist::move(int From, int To)
{
	Items.insert(To,Imtems.at(From));
	Items.erase(From);
}
playlist::reset()
{
	index= -1;
	size=0;
	delete Items;
}
playlist::setTo(int index)
{
	this.index= index;
}
playlist::last()
{
	index= Items.size()
}
playlist::current()
{
	return Items.at(index);
}

